Loading...
Searching...
No Matches
mongocxx::v1::exception Class Reference

`#include <mongocxx/v1/exception.hpp>`

## Description

Base class for all exceptions thrown by mongocxx::v1.

Inherits:
  - std::system_error

## Public Member Functions

bool | has_error_label (bsoncxx::v1::stdx::string_view label) const
| Return true if this exception contains the specified error label.

## Member Function Documentation

## has_error_label()

bool mongocxx::v1::exception::has_error_label | ( | bsoncxx::v1::stdx::string_view | label | ) | const

Return true if this exception contains the specified error label.

Important
  The set of error labels may vary depending on the operation and error.

The documentation for this class was generated from the following file:

- mongocxx/v1/exception.hpp